DPRINTF(3)

NAME
dprintf, vdprintf - print to a file descriptor

SYNOPSIS
#define _GNU_SOURCE
#include <stdio.h>

int dprintf(int fd, const char *format, ...);

int vdprintf(int fd, const char *format, va_list ap);

DESCRIPTION
The functions dprintf() and vdprintf() (as found in the glibc2 library) are exact analogs of fprintf(3) and vfprintf(3), except that they output to a file descriptor fd instead of to a stdio stream.

CONFORMING TO
These functions are GNU extensions that are nowadays specified in POSIX.1-2008

SEE ALSO
printf(3), feature_test_macros(7)

COLOPHON
This page is part of release 3.25 of the Linux man-pages project. A description of the project, and information about reporting bugs, can be found at http://www.kernel.org/doc/man-pages/.